Package be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1

# Class AcceptedDependencyCategoryType

java.lang.Object
be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.AcceptedDependencyCategoryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class AcceptedDependencyCategoryType extends Object implements Serializable
Berekende afhankelijkheidscategorie

Java class for AcceptedDependencyCategoryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AcceptedDependencyCategoryType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DependencyCategoryDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="DependencyCategoryResult" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}DependencyCategoryType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcceptedDependencyCategoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getDependencyCategoryDate()`
  Datum vanaf wanneer de afhankelijkheidscategorie geldig is.
  `String`
  `getDependencyCategoryResult()`
  Waarde van de aanvaarde berekende afhankelijkheidscategorie
  `void`
  `setDependencyCategoryDate(Instant value)`
  Sets the value of the dependencyCategoryDate property.
  `void`
  `setDependencyCategoryResult(String value)`
  Sets the value of the dependencyCategoryResult property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcceptedDependencyCategoryType

    public AcceptedDependencyCategoryType()

- ## Method Details

  - ### getDependencyCategoryDate

    public Instant getDependencyCategoryDate()
    Datum vanaf wanneer de afhankelijkheidscategorie geldig is.
    Returns:
      possible object is `String`

  - ### setDependencyCategoryDate

    public void setDependencyCategoryDate(Instant value)
    Sets the value of the dependencyCategoryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDependencyCategoryDate()`

  - ### getDependencyCategoryResult

    public String getDependencyCategoryResult()
    Waarde van de aanvaarde berekende afhankelijkheidscategorie
    Returns:
      possible object is `String`

  - ### setDependencyCategoryResult

    public void setDependencyCategoryResult(String value)
    Sets the value of the dependencyCategoryResult property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDependencyCategoryResult()`